summarylogtreecommitdiffstats
path: root/upgrade.sh.wrapper
diff options
context:
space:
mode:
Diffstat (limited to 'upgrade.sh.wrapper')
-rwxr-xr-xupgrade.sh.wrapper14
1 files changed, 14 insertions, 0 deletions
diff --git a/upgrade.sh.wrapper b/upgrade.sh.wrapper
new file mode 100755
index 000000000000..877fef5fb061
--- /dev/null
+++ b/upgrade.sh.wrapper
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+set -e
+
+if [ "$(whoami)" != "$(
+ logname 2>/dev/null || echo "${USER:-${LOGNAME}}")" ]
+then
+ echo >&2
+ echo >&2 'This command will upgrade files in your' \
+ 'home directory. It must be run *without* sudo.'
+ exit 1
+fi
+
+cp -ruvP --preserve=mode,links -t ~/ \
+ "/usr/share/bash-it-git/home_factory/.bash_it"